//
//  FabService.h
//  FabService
//
//  Created by Breck H. Auten on 8/24/16.
//  Copyright © 2016 Markzware. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FabServiceProtocol.h"

// This object implements the protocol which we have defined. It provides the actual behavior for the service. It is 'exported' by the service to make it available to the process hosting the service over an NSXPCConnection.
@interface SERVICE_SERVICE : NSObject <SERVICE_PROTOCOL>


- (void)startWithAPIKey:(NSString *)theKey;
- (void)setUserIdentifier:(NSString *)theUserID;
- (void)setUserName:(NSString *)theExtra;
- (void)logLoginWithMethod:(NSString *)theMethod success:(NSNumber*)theSuccess customAttributes:(ANS_GENERIC_NSDICTIONARY (NSString *, id)*)theAttributes;
- (void)logCustomEventWithName:(NSString *)theEventName customAttributes:(ANS_GENERIC_NSDICTIONARY (NSString *, id)*)theAttributes;

@end
